SweetConnect LogoSweetConnect
ApiShare documents

Get current state of a share

Returns the current state of a file share for a specific recipient.It is intended for recipients who follow a share link and need to know what action is required next.

Access restricted to roles:

GET
/v1/shares/state/{userId}/{shareId}

Path Parameters

userId*string

UUID of the share recipient

Formatuuid
shareId*string

ID of the file share record

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://dev.sweetconnect.io/api/storage/v1/shares/state/497f6eca-6276-4993-bfeb-53cbbbba6f08/f47ac10b-58cc-4372-a567-0e02b2c3d479"
{
  "data": {
    "status": "accepted",
    "assetId": "14fa694e-b60a-446c-9048-2e6a42b95933",
    "documentId": "a1b2c3d4-5678-90ab-cdef-1234567890ab"
  }
}
{
  "errors": [
    {
      "errorCode": "BadRequest",
      "message": "The request payload is invalid.",
      "extension": {}
    }
  ]
}
{
  "errors": [
    {
      "errorCode": "NotFound",
      "message": "The requested resource was not found.",
      "extension": {}
    }
  ]
}
{
  "errors": [
    {
      "errorCode": "InternalServerError",
      "message": "An unexpected error occurred. See logs for further details or create a support ticket.",
      "extension": {}
    }
  ]
}